# BEGIN SourceDeps(oneline):
BuildRequires: perl(Any/Moose.pm) perl(AnyEvent.pm) perl(AnyEvent/Handle.pm) perl(AnyEvent/Socket.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(FileHandle.pm) perl(Filter/Util/Call.pm) perl(IO/Socket/INET.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(PerlIO.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Sub/Uplevel.pm) perl(Test/Builder/IO/Scalar.pm) perl(Test/Deep.pm) perl(Test/SharedFork.pm) perl(Text/Diff.pm) perl(Time/HiRes.pm) perl(YAML.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(overload.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define module_version 0.15
%define module_name AnyEvent-JSONRPC-Lite
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Simple TCP-based JSONRPC client/server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TY/TYPESTER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provide TCP-based JSONRPC server/client implementation.

the AnyEvent::JSONRPC::Lite manpage provide you a couple of export functions that are shortcut of the AnyEvent::JSONRPC::Lite::Client manpage and the AnyEvent::JSONRPC::Lite::Server manpage.
One is `jsonrpc_client' for Client, another is `jsonrpc_server' for Server.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%changelog
* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- initial import by package builder

